Download it now!
Bug 134264 - FILESAVE: DOC: Some fields are lost after RT
Summary: FILESAVE: DOC: Some fields are lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.1.0 target:7.0.0.2 target:6.4.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-23 12:31 UTC by Xisco Faulí
Modified: 2020-07-08 19:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master after RT (91.19 KB, image/png)
2020-06-23 12:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-23 12:31:27 UTC
Created attachment 162349 [details]
Comparison MSO 2010 and LibreOffice 7.1 master after RT

Steps to reproduce:
1. Open attachment 52931 [details] from bug 41679
2. Save it as DOC
3. Open the new created document

-> Fields on page 1 are gone. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-06-23 12:31:48 UTC
This seems similar to bug 133604
Comment 3 Commit Notification 2020-07-07 08:49:03 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ae2e8202407e82c9b14f0cc307742561f8c6e530

tdf#134264 writerfilter: fix DOCX->DOC of ADDRESSBLOCK field

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (allotropia) 2020-07-07 08:57:35 UTC
somewhat similar to bug 129247 - fixed on master
Comment 5 Commit Notification 2020-07-07 12:09:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/997e7011877b6559fce7173972c73fe0917212cb

tdf#134264 writerfilter: fix DOCX->DOC of ADDRESSBLOCK field

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-07 12:11:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/bbdbaa07ed7e40e1172959fa5dedb8df79f19fc1

tdf#134264 writerfilter: fix DOCX->DOC of ADDRESSBLOCK field

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (allotropia) 2020-07-07 16:48:20 UTC
forgot to set it fixed
Comment 8 Xisco Faulí 2020-07-08 08:42:29 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 0695b5f5b328a1bc9cfdc8ba020dbdd674185e04
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-07-08 19:57:29 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7e66a473fa147546e5fb96c95a86ae5ec6f45fa5

tdf#134264: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.